NNG_TCP_REGISTER(3)

NAME
nng_tcp_register - register tcp transport

SYNOPSIS

    #include <nng/transport/tcp/tcp.h>
    int nng_tcp_register(void);

DESCRIPTION

The nng_tcp_register() function registers the tcp transport for use.

RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

ERRORS

NNG_ENOMEM
    Insufficient memory is available.

NNG_ENOTSUP
    The transport is not supported.

SEE ALSO

nng_tcp(7), nng(7)